List available rtmp ingestion zones
GET
https://octopus.livepush.io/zones/simulcast
Base URL https://octopus.livepush.io — Core Streams & Media APIs
Returns the list of available stream zones that can be used for simulcast and stream deployment.
Zones represent geographic regions and infrastructure locations available for publishing and routing live streams.
Authorization
Send a valid access token in the Authorization header.
bearerAuth— Bearer token (JWT)
Authorization: Bearer YOUR_API_TOKEN
Try it
Loading the request builder…
GET
https://octopus.livepush.io/zones/simulcast
— This call only reads data.
Code samples
curl -X GET 'https://octopus.livepush.io/zones/simulcast' \
-H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://octopus.livepush.io/zones/simulcast', {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
},
});
if (!response.ok) {
throw new Error(`Livepush API error ${response.status}`);
}
const data = await response.json();
import requests
headers = {
'Authorization': 'Bearer YOUR_API_TOKEN',
}
response = requests.get('https://octopus.livepush.io/zones/simulcast', headers=headers, timeout=30)
response.raise_for_status()
data = response.json()
Responses
List of available simulcast zones
Array of Zone.
-
idstring -
categoryZoneCategorysimulcastschedulerecwebcamvod -
namestring -
hoststring -
boundHostsstring[] -
configZoneConfig-
deploymentTypeZoneConfigDeploymentTypenoneapi -
publishPortinteger -
publishPathstring -
supportsPullUrlboolean -
supportsDestinationPublishboolean -
storageIdstring -
videosNamespacestring -
recordingTierZoneRecordingTierbasicmediumlargecustom
-
-
metadataZoneMetadata-
uiSortnumber -
flagIdstring -
dataobject
-
-
isPublicboolean -
isPremiumZoneboolean -
isDisabledboolean -
isArchivedboolean -
isDefaultboolean
[
{
"id": "string",
"category": "simulcast",
"name": "string",
"host": "string",
"boundHosts": [
"string"
],
"config": {
"deploymentType": "none",
"publishPort": 1935,
"publishPath": "string",
"supportsPullUrl": false,
"supportsDestinationPublish": false,
"storageId": "string",
"videosNamespace": "string",
"recordingTier": "basic"
},
"metadata": {
"uiSort": 0,
"flagId": "string",
"data": {}
},
"isPublic": false,
"isPremiumZone": false,
"isDisabled": false,
"isArchived": false,
"isDefault": false
}
]
Unauthorized